iptcparse
png2wbmp
GD and Image Functions
PHP Manual

# jpeg2wbmp

(PHP 4 >= 4.0.5, PHP 5)

jpeg2wbmp — Convert JPEG image file to WBMP image file

### Description

bool jpeg2wbmp ( string `$jpegname` , string `$wbmpname` , int `$dest_height` , int `$dest_width` , int `$threshold` )

Converts a JPEG file into a WBMP file.

### Parameters

`jpegname`

  Path to JPEG file.

`wbmpname`

  Path to destination WBMP file.

`dest_height`

  Destination image height.

`dest_width`

  Destination image width.

`threshold`

  Threshold value, between 0 and 8 (inclusive).

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 jpeg2wbmp() example

`<?php
// Path to the target jpeg
$path = './test.jpg';
// Get the image sizes
$image = getimagesize($path);
// Convert image
jpeg2wbmp($path, './test.wbmp', $image[1], $image[0], 5);
?>`

### Notes

> Note: WBMP support is only available if PHP was compiled against GD-1.8 or later.

> Note: JPEG support is only available if PHP was compiled against GD-1.8 or later.

### See Also

- png2wbmp() - Convert PNG image file to WBMP image file

iptcparse
png2wbmp
GD and Image Functions
PHP Manual